## hey april-1.0.5

=== requirements.txt ===
unittest2
mock
jinja2
beautifulsoup4
https://github.com/pbh/hey_dl/zipball/master

## hey 0.1.2

=== debian/changelog ===
hey (0.1.2-2build1) groovy; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Sep 2020 08:53:19 +0000

hey (0.1.2-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/rules: move override_dh_auto_install below main entry.

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 11 Nov 2019 23:46:00 -0300

hey (0.1.2-1) experimental; urgency=medium

  * Initial release (Closes: #941983)

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Thu, 31 Oct 2019 15:12:12 -0400

=== debian/control ===
Source: hey
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>
Build-Depends: debhelper-compat (= 12), dh-golang
Build-Depends-Arch: golang-any
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://github.com/rakyll/hey
Vcs-Browser: https://salsa.debian.org/go-team/packages/hey
Vcs-Git: https://salsa.debian.org/go-team/packages/hey.git
XS-Go-Import-Path: github.com/rakyll/hey
Testsuite: autopkgtest-pkg-go

Package: hey
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Sends some load to a web application
 HTTP load generator, ApacheBench (ab) replacement, formerly
 known as rakyll/boom
 .
 Originally called boom and was influenced from Tarek Ziade's
 tool at github.com/tarekziade/boom. Using the same name was a
 mistake as it resulted in cases where binary name conflicts
 created confusion.
 .
 To preserve the name for its original owner, this project
 was renamed to hey.

## hey 0.1.4

=== debian/changelog ===
hey (0.1.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 15:59:31 +0000

hey (0.1.4-1) unstable; urgency=medium

  * New upstream version 0.1.4
  * Bump debhelper compatibility level to 13
  * debian/control:
      - Add golang-golang-x-net-dev as build dependency
      - Declare compliance with debian policy 4.5.1
      - Set Rules-Requires-Root to no
  * debian/copyright:
      - Update information about upstream authors
      - Update the packaging copyright years
  * debian/manpage.sh: Exclude SEE-ALSO section from manpage (Closes: #959932)
  * debian/hey.1: Regenerate manpage removing SEE-ALSO section

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Fri, 11 Dec 2020 16:17:24 -0300

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: hey
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>
-Build-Depends: debhelper-compat (= 12), dh-golang
+Build-Depends: debhelper-compat (= 13),
+               dh-golang,
+               golang-golang-x-net-dev
 Build-Depends-Arch: golang-any
-Standards-Version: 4.4.1
-Rules-Requires-Root: no
+Standards-Version: 4.6.0
 Homepage: https://github.com/rakyll/hey
 Vcs-Browser: https://salsa.debian.org/go-team/packages/hey
 Vcs-Git: https://salsa.debian.org/go-team/packages/hey.git
 XS-Go-Import-Path: github.com/rakyll/hey
 Testsuite: autopkgtest-pkg-go
+Rules-Requires-Root: no
 
 Package: hey
 Architecture: any

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/hey-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/rakyll/hey/tags .*/v?(\d\S*)\.tar\.gz

## hey 0.1.4+ds

=== debian/changelog ===
hey (0.1.4+ds-1) unstable; urgency=medium

  * New upstream version 0.1.4+ds
  * d/control:
      - Add help2man to Build-Depends
      - Add golang-golang-x-text-dev to Build-Depends
      - Bump Standards-Version to 4.7.0 (no changes)
      - Move golang-any from Build-Depends-Arch to Build-Depends
      - Replace dh-golang with dh-sequence-golang
  * d/copyright:
      - Add vendor folder to Files-Excluded
      - Remove vendor folder license declaration
      - Update Arthur Diniz copyright year to 2024
  * d/gbp.conf: Created
  * d/hey.1: Remove static manpage
  * d/manpage.sh: Remove script to generate manpage
  * d/rules:
      - Add execute_before_dh_installman to generate manpage with help2man
      - Add --builddirectory=_build flag to dh entry
      - Remove --with=golang flag from dh entry
  * d/u/metadata: Add upstream Repository and Repository-Browse
  * d/watch:
      - Add repacksuffix and dversionmangle
      - Add compression flag set to gz
  * d/copyright:
      - Remove BSD-3-Clause license paragraph
      - Remove vendor folder license declaration
      - Update Arthur Diniz copyright year to 2024

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Fri, 14 Jun 2024 03:42:10 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,12 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>
 Build-Depends: debhelper-compat (= 13),
-               dh-golang,
-               golang-golang-x-net-dev
-Build-Depends-Arch: golang-any
-Standards-Version: 4.6.0
+               dh-sequence-golang,
+               golang-any,
+               golang-golang-x-net-dev,
+               golang-golang-x-text-dev,
+               help2man <!nodoc>
+Standards-Version: 4.7.0
 Homepage: https://github.com/rakyll/hey
 Vcs-Browser: https://salsa.debian.org/go-team/packages/hey
 Vcs-Git: https://salsa.debian.org/go-team/packages/hey.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --builddirectory=_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

execute_before_dh_installman:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	help2man debian/hey/usr/bin/hey \
		--no-info --no-discard-stderr \
		--version-string="$(DEB_VERSION_UPSTREAM)" \
		-n "HTTP load generator, formerly known as rakyll/boom" > debian/hey.1
endif

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/hey-\$1\.tar\.gz/,\
repacksuffix=+ds,dversionmangle=s/\+ds//,compression=gz,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/rakyll/hey/tags .*/v?(\d\S*)\.tar\.gz
